/*global jQuery */

jQuery(function($) {

$('.layoutbrowser')

	.closest(':role(dialog)')
	
		// ---- Dialog button actions ----

		.bind('dialog-ok.layoutbrowser', function(event) {
			$(event.target)
				.trigger('dialog-apply')
				.trigger('dialog-cancel');
			return false;
		})
	
		.bind('dialog-cancel.layoutbrowser', function(event) {
			$(this)
				.unbind('dialog-apply.layoutbrowser')
				.attr('aria-hidden', true);
			return false;
		})

	.end()
	
	.find(':role(tree)')
	
		// ---- Tree activedescendant changes ----
	
		.bind('attr.@aria-activedescendant.layoutbrowser', function(event) {
			var layoutId = $.dt.idrefs(event.newValue).attr('data-id');
			$(this).closest('[data-layout]').attr('data-layout', layoutId);
		})
	
	.end();

});

