/*global jQuery, setTimeout, clearTimeout */

// Busy indicator agent

(function($) {

	var timer;

	function busy() {
		$('#atb-busy').show();
	}
	
	function done() {
		setTimeout(function() {
			$('#atb-busy').hide();
		}, 0);
	}

	$(document)
		.bind('atb-loading atb-layout-select atb-layout-save atb-activate', busy)
		.bind('atb-error atb-layout-updated atb-layout-cancel atb-ready', done);

})(jQuery);

