/*global jQuery */

(function($) {

$('button.open-layoutbrowser').live('click', function(event) {
	var target = $.dt.attr(event.target, 'data-target', 'idrefs');
	
	$('#layoutbrowser')
		.unbind('dialog-apply.layoutbrowser')
		.bind('dialog-apply.layoutbrowser', function() {
			var layoutId = $.attr(this, 'data-layout');
			if ( layoutId ) {
				target.val(layoutId);
			}
		})
		.one('atb-refresh.layoutbrowser', function() {
			$(this).trigger('atb-layout-select', target.val());
		})
		.trigger('atb-activate');
});

})(jQuery);

